<html>
   <head>
      <meta http-equiv="pragma"        content="no-cache">
      <meta http-equiv="content-type"  content="text/html; charset=utf-8">
      <title>%value $host% - Analyze Package Dependencies</title>
      %invoke wia.pub.pkgdepend.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/wrightia.css">
      <link rel="stylesheet" type="text/css" href="/WiaRoot/css/onlinedoc.css">
      <link rel="stylesheet" type="text/css" href="css/package.css">
      <script type="text/javascript" src="/WiaRoot/scripts/wia4dsp.js"></script>
      <script type="text/javascript" src="/WiaRoot/scripts/wia4dom.js"></script>
      %end invoke%
      <style>
         td div.note
            {
            width: 600px;
            margin: 0 0 2em 0;
            padding: 0;
            }
         td div.note p
            {
            margin: .5em 0;
            padding: 0;
            }
      </style>
      <script type="text/javascript">
         function setTargetHost(runOnLocalhost) {
            var xIsChecked = runOnLocalhost.checked;
            var xSelectors = getElementsByName("input", "remoteServer");

            if (xSelectors)
               for(var xIdx = 0; xIdx < xSelectors.length; xIdx++)
                  {
                  if (xIsChecked)
                     {
                     xSelectors[xIdx].checked  = false;
                     xSelectors[xIdx].disabled = true;
                     }
                  else
                     xSelectors[xIdx].disabled = false;
                  }
               else
                  alert("none");
            }
      </script>
   </head>

   <body>
      <table class="pageHeading">
         <tr>
            %invoke wia.pub.pkgdepend.ui.about:getMetadata%
               <td class="menusection-DependencyAnalysis" colspan="2">%value packageLongName%, %value packageVersion% &gt; Select Remote Server</td>
            %end invoke%
         </tr>
         <tr>
            <td>
               <ul>
                  <li><a href="./">Go Home</a></li>
               </ul>
            <td>
         </tr>
      </table>

      <table width="100%"> <!-- this table is being used only to set a left indentation to the child tables -->
         <tr>
            <td width="10">&nbsp;</td>
            <td>
               %invoke wia.pub.pkgdepend.ui.selectserver:getMetadata%
                  <div class="note">
                     <p>
                        If there are any <span class="productname">Remote Aliases</span> named <tt>*%value RemoteAliasSuffix%</tt>
                        defined in this server, those are listed below and one of them can be selected to execute the dependencies
                        analysis remotely.
                     </p>
                     <p>
                        A version of the <span class="productname">Package Dependencies Analyzer</span> needs to exist installed
                        and enabled at the selected remote server.
                     </p>
                  </div>
               %end invoke%
               <a name="options" />
               <ul class="options">
                  <li><a href="#actions" >Go Bottom</a></li>
               </ul>
               <form id="frmMain" name="frmMain" method="post" action="AnalyzeDependencies.dsp">
                  <table name="packageList">
                     <tr class="heading">
                        <td colspan="2">List of defined remote servers</td>
                     </tr>
                     <tr>
                        <td class="evenrow" colspan="2">
                           <table width="100%">
                              <tr>
                                 <td class="evenrowdata">
                                    <input type="checkbox" name="localhost"  onclick="javascrip: setTargetHost(this);" checked />
                                 </td>
                                 <td class="evenrow-l">
                                    Run on localhost
                                 </td>
                              </tr>
                           </table>
                        </td>
                     </tr>
                     <tr>
                        <td class="columnHeading" colspan="2">Logical Name</td>
                     </tr>
                     %loop logicalServerNames%
                        <tr>
                           <script type="text/javascript">
                              writeTag_TD("%value encode(html)%", "row-l", null, true );
                              writeTag_TD("<input type='radio' name='remoteServer' value='%value encode(html)%' disabled='disabled'/>", "rowdata", null, false);
                           </script>
                        </tr>
                     %end loop%
                     <tr>
                        <td class="action" colspan="2">
                           <a name="actions"/>
                           <input type="submit" name="cmdSubmit" value="Analyze Dependencies" />
                        </td>
                     </tr>
                  </table>
               </form>
               <ul class="options">
                  <li><a href="#options" >Go Top</a></li>
               </ul>
            </td>
         </tr>
      </table>
   </body>
</html>
